CREATE OR REPLACE PROCEDURE sp_fdt_upd_bancos_ins_dep
(
  pnu_banco  number,
  pch_ins_dep char,
  pch_cod_banco varchar2,
  pnu_operacion number DEFAULT 1    --1:Alta, 2:baja, 3: actualizacion
)
AS
/********************************************************************/
/*** Módulo Fiscal de Colombia - Configuracion de Bancos          ***/
/*** Descripcion: crea registros en las tablas fdt_bancos_ins_dep ***/
/*** y borra tambien    								                          ***/
/*** Autor:	Diana Cecilia Rios Peinado                            ***/
/*** Fecha:	Marzo 10 de 2005                                      ***/
/********************************************************************/
BEGIN
     IF pnu_operacion = 1 THEN
        INSERT INTO fdt_bancos_ins_dep (banco, ins_dep, cod_banco)
        VALUES (pnu_banco, pch_ins_dep, pch_cod_banco);    
     END IF;
     
     IF pnu_operacion = 2 THEN
        DELETE fdt_bancos_ins_dep
        WHERE banco = pnu_banco
        AND ins_dep = pch_ins_dep;
     END IF;     
     
     IF pnu_operacion = 3 THEN
        UPDATE fdt_bancos_ins_dep
        SET cod_banco = pch_cod_banco
        WHERE banco = pnu_banco
        AND ins_dep = pch_ins_dep;                
     END IF;
     
     COMMIT WORK;
END;
/
CREATE PUBLIC SYNONYM sp_fdt_upd_bancos_ins_dep FOR ADAM.sp_fdt_upd_bancos_ins_dep;
GRANT EXECUTE ON sp_fdt_upd_bancos_ins_dep TO adama;